Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class RadarInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.RadarInfo

    public class RadarInfo

extends ChartTypeInfo

contains the information of radar chart type in the file. The class extends chartTypeInfo

Field Summary
`static short` | `HASLABEL`
`static short` | `NORMAL`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`RadarInfo(short dataLabel, short style, boolean isFilled)` Constructs class RadarInfo and sets its fields appropriately.

Method Summary
`int` | `getChartType()` Get the type of the chart
`short` | `getStyle()` Get the style of the radar chart
`boolean` | `hasShadow()` get whether this radar has a shadow or not
`boolean` | `isFilled()` whether the radar is filled by color
`void` | `setFilled(boolean isFilled)` Set whether the radar is filled by color
`void` | `setHasShadow(boolean b)` set whether this radar has a shadow or not if the radar is filled by color, the shadow can be set
`void` | `setStyle(short style)` Set the style of the radar chart

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setDataLabel, setInfo3D, setIs3D`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final short NORMAL

See Also:
  Constant Field Values

### HASLABEL

    public static final short HASLABEL

See Also:
  Constant Field Values

Constructor Detail

### RadarInfo

    public RadarInfo(short dataLabel,
                     short style,
                     boolean isFilled)

  Constructs class RadarInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, 16 for show label
    `style` - Style of radar chart NORMAL or HASLABEL
    `isFilled` - the radar is filled by color

Method Detail

### getChartType

    public int getChartType()

  Get the type of the chart

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getStyle

    public short getStyle()

  Get the style of the radar chart

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the radar chart

### setStyle

    public void setStyle(short style)

  Set the style of the radar chart

  Parameters:
    `style` - Style of the radar chart

### isFilled

    public boolean isFilled()

  whether the radar is filled by color

  Returns:
    whether the radar is filled by color

### setFilled

    public void setFilled(boolean isFilled)

  Set whether the radar is filled by color

  Parameters:
    `isFilled` - whether the radar is filled by color

### hasShadow

    public boolean hasShadow()

  get whether this radar has a shadow or not

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    whether this radar has a shadow or not

### setHasShadow

    public void setHasShadow(boolean b)

  set whether this radar has a shadow or not if the radar is filled by color, the shadow can be set

  Parameters:
    `b` - - whether this radar has a shadow or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD